therion (6.3.4-2build1) resolute; urgency=medium

  * No-change rebuild for libvtk9.5.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 23 Dec 2025 22:42:55 +0000

therion (6.3.4-2) unstable; urgency=medium

  * debian/patches/99-upstream-fixes.patch: Cherry-picked from upstream:
    Fix nosurvey equate length calculation, Floating point number logging fix,
    use <nbsp> in the French translations before semicolon,
    support <nbsp> in therion

 -- Martin Budaj <m.budaj@gmail.com>  Fri, 02 May 2025 20:38:46 +0200

therion (6.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Updated Free Software Foundation address.
  * Bump standards version (no changes)

 -- Martin Budaj <m.budaj@gmail.com>  Tue, 08 Apr 2025 19:43:34 +0200

therion (6.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/signing-key.asc: key update.

 -- Martin Budaj <m.budaj@gmail.com>  Mon, 06 Jan 2025 10:24:14 +0100

therion (6.3.1-2) unstable; urgency=medium

  * debian/control: use imagemagick-7.q16 (Closes: #1089666).

 -- Martin Budaj <m.budaj@gmail.com>  Wed, 11 Dec 2024 19:43:35 +0100

therion (6.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: add lcdf-typetools to recommended packages
  * Bump standards version (no changes)

 -- Martin Budaj <m.budaj@gmail.com>  Fri, 22 Nov 2024 20:50:14 +0100

therion (6.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: changed dependency from pkg-config to pkgconf
  * debian/copyright: updated paths

 -- Martin Budaj <m.budaj@gmail.com>  Wed, 20 Mar 2024 19:27:26 +0100

therion (6.2.0-1) unstable; urgency=medium

  * New upstream release, supporting the use of system Catch2.
  * debian/control, debian/rules: use system Catch2 library.
  * debian/patches/groff_table.patch removed, as the issue
    had been fixed upstream.

 -- Martin Budaj <m.budaj@gmail.com>  Thu, 21 Dec 2023 16:13:42 +0100

therion (6.1.8-2) unstable; urgency=medium

  * Use bundled Catch2 v2 library to avoid FTBFS (Closes: #1054689).
  * debian/patches/groff_table.patch: fix lintian groff warning.

 -- Martin Budaj <m.budaj@gmail.com>  Wed, 08 Nov 2023 19:27:14 +0100

therion (6.1.8-1) unstable; urgency=medium

  * New upstream release (Closes: #1037871).

 -- Martin Budaj <m.budaj@gmail.com>  Sat, 17 Jun 2023 20:57:46 +0200

therion (6.1.7-2) experimental; urgency=medium

  * debian/control: use imagemagick-6.q16 in Build-Depends-Indep
    to avoid fallback to graphicsmagick, which produces a different
    'convert -version' message that breaks the build

 -- Martin Budaj <m.budaj@gmail.com>  Tue, 25 Apr 2023 20:01:19 +0200

therion (6.1.7-1) experimental; urgency=medium

  * New upstream release.
  * Removed obsolete patches.
  * Updated paths in debian/tests/therion.
  * Upload to experimental because of Debian freeze.

 -- Martin Budaj <m.budaj@gmail.com>  Mon, 24 Apr 2023 19:57:01 +0200

therion (6.1.6-3) unstable; urgency=medium

  * debian/patches/fix_path.patch: Cherry-picked from upstream:
    fix missing path separator.

 -- Martin Budaj <m.budaj@gmail.com>  Tue, 28 Mar 2023 19:04:02 +0200

therion (6.1.6-2) unstable; urgency=medium

  * debian/patches/fix_string_terminator.patch: Cherry-picked from
    upstream to fix missing string termination.
  * debian/patches/xtherion_bezier.patch: Cherry-picked from
    upstream: fixed polyline to bezier conversion bug introduced
    in 6.1.4

 -- Martin Budaj <m.budaj@gmail.com>  Sun, 26 Feb 2023 08:46:55 +0100

therion (6.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Wed, 11 Jan 2023 21:14:40 +0100

therion (6.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Fri, 06 Jan 2023 17:43:22 +0100

therion (6.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version (no changes)

 -- Martin Budaj <m.budaj@gmail.com>  Fri, 23 Dec 2022 18:41:22 +0100

therion (6.1.3-2) unstable; urgency=medium

  * Fix omitted changes from 6.1.2-2.
  * debian/control: use libfreetype-dev instead of libfreetype6-dev.

 -- Martin Budaj <m.budaj@gmail.com>  Sun, 27 Nov 2022 20:22:00 +0100


therion (6.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Sat, 26 Nov 2022 20:17:27 +0100

therion (6.1.2-2) unstable; urgency=medium

  * debian/control: Switch to use wxwidgets3.2.
  * debian/patches/wx3.2.patch: Patch cherry-picked from upstream to avoid
    assertions due to improper wxWidgets API use.

 -- Olly Betts <olly@survex.com>  Tue, 13 Sep 2022 08:40:37 +1200

therion (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed in upstream: ftbfs with fmtlib 9.0.0 (Closes: #1014679)
  * Updated therion.lintian-overrides to a new format.

 -- Martin Budaj <m.budaj@gmail.com>  Mon, 11 Jul 2022 18:13:05 +0200

therion (6.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Thu, 23 Jun 2022 18:04:52 +0200

therion (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: declare conformance with policy 4.6.1.

 -- Martin Budaj <m.budaj@gmail.com>  Fri, 27 May 2022 18:42:47 +0200

therion (6.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Tue, 15 Mar 2022 18:32:47 +0100

therion (6.0.5-2) unstable; urgency=medium

  * d/watch: Check for new releases directly on GitHub;
             support for gpg signature checks added;
             format version updated to 4.
  * d/upstream: Public keys added.

 -- Martin Budaj <m.budaj@gmail.com>  Tue, 01 Mar 2022 21:07:05 +0100

therion (6.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Sun, 20 Feb 2022 14:35:37 +0100

therion (6.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Fixed in upstream: lintian interpreting xtherion.tcl as a shell script
  * Fixed in upstream: thbook.pdf reproducibility issues

 -- Martin Budaj <m.budaj@gmail.com>  Sun, 05 Dec 2021 02:57:58 +0000

therion (6.0.3-2) unstable; urgency=medium

  * Remove obsolete build-depends (survex, faketime)

 -- Wookey <wookey@debian.org>  Tue, 02 Nov 2021 12:59:16 +0000

therion (6.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Skip crc checks in autopkgtests (not working on all arches)

 -- Wookey <wookey@debian.org>  Sun, 03 Oct 2021 11:24:23 +0100

therion (6.0.2ds1-4) unstable; urgency=medium

  * Bump standards version (no changes)

  [ Stacho Mudrak ]
  * Reproducibility fix so lox crc checks pass on all arches

 -- Wookey <wookey@debian.org>  Fri, 01 Oct 2021 22:52:10 +0100

therion (6.0.2ds1-3) unstable; urgency=medium

  * Really fix FTBFS in arch-all build

 -- Wookey <wookey@debian.org>  Sun, 19 Sep 2021 03:44:36 +0100

therion (6.0.2ds1-2) unstable; urgency=medium

  * Fix FTBFS in arch-all build (by not running tests)

 -- Wookey <wookey@debian.org>  Fri, 17 Sep 2021 22:11:57 +0100

therion (6.0.2ds1-1) unstable; urgency=medium

  [ Martin Budaj ]
  * New upstream release
  * Use cmake in the Debian build system
  * Autopkgtest: verify the checksums of generated PDFs
  * Fixed ftbfs with GCC-11 and VTK 9.0.1 (Closes: #984363)

 -- Wookey <wookey@debian.org>  Tue, 14 Sep 2021 14:17:45 +0100

therion (5.5.7ds1-2) unstable; urgency=medium

  * Allow build with new secure imagemagik (Closes: #991064)
    Thanks to Dennis Filder for the patch

 -- Wookey <wookey@debian.org>  Mon, 26 Jul 2021 23:27:47 +0000

therion (5.5.7ds1-1) unstable; urgency=medium

  * New upstream release, including below bugfixes

 -- Wookey <wookey@debian.org>  Sat, 06 Feb 2021 16:24:25 +0000

therion (5.5.6ds1-5) unstable; urgency=medium

  * Bugfix for survey 'selects' being ignored on wall model generation
  * bugfix for default output filename suffix

 -- Wookey <wookey@debian.org>  Sun, 24 Jan 2021 03:53:04 +0000

therion (5.5.6ds1-4) unstable; urgency=medium

  * Better fix for Extender Elevation splays bug

 -- Wookey <wookey@debian.org>  Thu, 07 Jan 2021 20:52:21 +0000

therion (5.5.6ds1-3) unstable; urgency=medium

  * Include fix for Extender Elevation splays bug

 -- Wookey <wookey@debian.org>  Tue, 05 Jan 2021 19:42:09 +0000

therion (5.5.6ds1-2) unstable; urgency=medium

  * Use vtk9 rather than vtk7

 -- Wookey <wookey@debian.org>  Sun, 03 Jan 2021 16:12:44 +0000

therion (5.5.6ds1-1) unstable; urgency=medium

  * New upstream release.
  * Revert to vtk7

 -- Wookey <wookey@debian.org>  Sun, 27 Dec 2020 21:47:47 +0000

therion (5.5.5ds1-2) unstable; urgency=medium

  * Use vtk9 rather than vtk7
  * Prevent unreproducible timestamps in .3d files

 -- Wookey <wookey@debian.org>  Fri, 25 Dec 2020 23:54:03 +0000

therion (5.5.5ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Wookey <wookey@debian.org>  Tue, 22 Dec 2020 19:03:56 +0000

therion (5.5.4ds1-2) unstable; urgency=medium

  * Remove superseded GPU init workaround.
  * Use survex for building samples

 -- Wookey <wookey@debian.org>  Thu, 17 Dec 2020 15:58:27 +0000

therion (5.5.4ds1-1) unstable; urgency=medium

  * New upstream release

 -- Wookey <wookey@debian.org>  Tue, 15 Dec 2020 19:57:27 +0000

therion (5.5.1ds1-2) unstable; urgency=medium

  * Updated standards and compat level

 -- Wookey <wookey@debian.org>  Mon, 06 Jul 2020 02:13:19 +0100

therion (5.5.1ds1-1) unstable; urgency=medium

  * New upstream release
  * Fixes test failure due to proj 7.1 (Closes: #964124)
  * Show deprecation warnings
  * Use system catch2

 -- Wookey <wookey@debian.org>  Fri, 03 Jul 2020 22:08:06 +0100

therion (5.5.0ds1-1) unstable; urgency=medium

  * New upstream release.
  * Use system version of shapelib (libshp2)

 -- Wookey <wookey@debian.org>  Tue, 30 Jun 2020 14:51:23 +0000

therion (5.4.4ds1-5) unstable; urgency=medium

  * Fix proj4-style init rules to work (new patch
    fix-proj6-use-proj4-init-rules.patch cherry-picked from upstream git
    master).  (Closes: #946855)

 -- Olly Betts <olly@survex.com>  Wed, 18 Dec 2019 17:10:39 +1300

therion (5.4.4ds1-4) unstable; urgency=medium

  * Allow loch to start if glXCreateContext() fails, as always seems to happen
    in current sid.  Upstream are investigating, but this is only used to
    render off-screen images, so it's better to let loch run than to give up.
    New patch: allow-loch-to-start-without-offscreen-glxcontext.patch
  * debian/control: Declare conformance with policy 4.4.1.

 -- Olly Betts <olly@survex.com>  Sat, 07 Dec 2019 11:55:04 +1300

therion (5.4.4ds1-3) unstable; urgency=medium

  * Fix FTBFS due to python no longer being implicitly pulled in as an
    indirect dependency by applying changes from Steve Langasek to depend on
    python3 and use it to run upstream's set_version.py.  New patch:
    python3-not-python.patch (Closes: #945345)

 -- Olly Betts <olly@survex.com>  Tue, 03 Dec 2019 17:43:25 +1300

therion (5.4.4ds1-2) unstable; urgency=medium

  * debian/control: Add libsqlite3-tcl to Build-Depends - needed with PROJ 6.

 -- Olly Betts <olly@survex.com>  Tue, 17 Sep 2019 16:58:05 +1200

therion (5.4.4ds1-1) unstable; urgency=medium

  * New upstream release
    + Includes patches fix-svg-export-segfault.patch and fix-epsg-esri-cs.patch
      so drop.
  * debian/rules: Drop needless override_dh_auto_clean target - the default
    action does what we want.
  * debian/control: Declare conformance with policy 4.4.0.

 -- Olly Betts <olly@survex.com>  Mon, 08 Jul 2019 11:49:25 +1200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog therion`.
